#include <iostream>
#include<math.h>
using namespace std;
int brojcifara(int n)
{
    int a=1;
    while(n>9)
    {
        a++;
        n=n/10;
    }
    return a;
}
int main()
{
    long double A,B,C,max,a,b,c,br1,br2,br3,br4,br5,br6;
    cin>>A>>B>>C;
    a=brojcifara(A);
    b=brojcifara(B);
    c=brojcifara(C);
    br1=(A*pow(10,b)+B)*pow(10,c)+C;
    br2=(A*pow(10,c)+C)*pow(10,b)+B;
    br3=(B*pow(10,a)+A)*pow(10,c)+C;
    br4=(B*pow(10,c)+C)*pow(10,a)+A;
    br5=(C*pow(10,a)+A)*pow(10,b)+B;
    br6=(C*pow(10,b)+B)*pow(10,a)+A;
    max=br1;
    if(max<br2)
        max=br2;
    if(max<br3)
        max=br3;
    if(max<br4)
        max=br4;
    if(max<br5)
        max=br5;
    if(max<br6)
        max=br6;
        max=max+1;
    cout<<max<<endl;
     return 0;
}